C+
C NAME:
C	ArrI4Index
C PURPOSE:
C	Initialize integer*4 array to index
C CALLING SEQUENCE:
	subroutine ArrI4Index(N,C)
C CALLS:
C	BadI4
C SEE ALSO:
C	Array_Info
C-
	    integer	N
	    integer	C(*)

	integer		BadI4

	ibad = BadI4()

	do I=1,abs(N)
	    if (N .gt. 0 .or. C(I) .ne. ibad) C(I) = I
	end do

	return
	end
